;------------------------------------------------------------------------------
; File Name :      vos_cfg.inc
;------------------------------------------------------------------------------
;      Copyright: Eugene M. Hutorny  2006
;      Revision:  V1.01
;      Date:      Aug 25, 2006
;      License:   Licensed to public under the Open Software License 
;                 http://www.opensource.org/licenses/osl-3.0.php
;------------------------------------------------------------------------------
;
;------------------------------------------------------------------------------
; VELOOS interface - public primitives
;------------------------------------------------------------------------------
           SUBTITLE        "VELOOS interface - custom configurable parameters"
;------------------------------------------------------------------------------

; It is recommended to leave default values intact 
; (specified with variable declaration) and uncomment/edit 
; values given with assignment statement.
; Constant definition should not be edited. 
; They are given for convenience only

; Enable/Disable broadcast support
 variable VOS_cEnableBroadcast    = true

; Enable/Disable sending Idle message, change to false to
 variable   VOS_cEnableIdle       = false
;VOS_cEnableIdle       = false

; Enum - Location of static objects
 constant    VOS_ePLRom     = 0h
 constant    VOS_ePLEeprom  = 1h
 
; Configure location for static objects
 variable VOS_cPersistentLocation   = VOS_ePLRom
;VOS_cPersistentLocation   = VOS_ePLEeprom

; Length of the message queue, messages
 variable VOS_cMessageQueueSize  = .4
;VOS_cMessageQueueSize  = .4

; Message ID to be used for broadcasting,  
; change to 0 if FF is a valid object ID
 variable VOS_cBCastID           = 0FFh

; Enum - dispatch table entity sizes
 constant VOS_eDispNear = false
 constant VOS_eDispFar  = true

; Make dispatch tables with far (goto) or near (bra) entries
; On PIC16 causes pagesel to be executed before dispathcing
 variable VOS_cDispScope = VOS_eDispNear

; Enum - methods of handler invocation
 constant VOS_eInvokeCall = false
 constant VOS_eInvokeBra  = true

; Use call or goto to invoke handler
 if _pic_fam > _pic10
    variable VOS_cInvoke = VOS_eInvokeCall
 else
    variable VOS_cInvoke = VOS_eInvokeBra
 endif

; Enable 1s timer on top of 1ms
 variable    VTMR_c1sTimer = true

; Togless on/off generation of debug code 
 variable    VOS_cDEBUG     = false

; Enables 1ms software WDT provided by a timer driver
 variable    VOS_cEnableSoftWDT   = true
